package com.css.simulation.resource.scheduler.feign;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.feign.fallback.VideoServiceFallBack;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(
        contextId = "algoPlatform",
        value = "simulation-resource-video",
        path = "/simulation/resource/video",
        fallback = VideoServiceFallBack.class
)
public interface VideoService {

    @PostMapping(value = "/generate")
    ResponseBodyVO<String> generateVideo(@RequestBody String param);
}